Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.ibeans.config
Class IBeanBinding

    java.lang.Object
      org.mule.module.ibeans.config.IBeanBinding

All Implemented Interfaces:
  InterfaceBinding, MessageProcessor

    public class IBeanBinding

extends Object
implements InterfaceBinding

TODO

Field Summary
`protected OutboundEndpoint` | `endpoint`
`protected IBeanFlowConstruct` | `flow`
`protected MuleContext` | `muleContext`
`protected MuleIBeansPlugin` | `plugin`

Constructor Summary
`IBeanBinding(IBeanFlowConstruct flow, MuleContext muleContext, MuleIBeansPlugin plugin)`

Method Summary
`protected InvocationHandler` | `createInvocationHandler()`
`Object` | `createProxy(Object target)` This wires the dynamic proxy to the service object.
`ImmutableEndpoint` | `getEndpoint()`
`Class` | `getInterface()`
`String` | `getMethod()`
`MuleEvent` | `process(MuleEvent event)` This method is responsible for routing the Message via the MuleSession.
`void` | `setEndpoint(ImmutableEndpoint e)`
`void` | `setInterface(Class interfaceClass)`
`void` | `setMethod(String method)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### endpoint

    protected OutboundEndpoint endpoint

### flow

    protected IBeanFlowConstruct flow

### plugin

    protected MuleIBeansPlugin plugin

### muleContext

    protected MuleContext muleContext

Constructor Detail

### IBeanBinding

    public IBeanBinding(IBeanFlowConstruct flow,
                        MuleContext muleContext,
                        MuleIBeansPlugin plugin)

Method Detail

### getMethod

    public String getMethod()

  Specified by:
    `getMethod` in interface `InterfaceBinding`

### setMethod

    public void setMethod(String method)

  Specified by:
    `setMethod` in interface `InterfaceBinding`

### process

    public MuleEvent process(MuleEvent event)
                      throws MessagingException

  Description copied from interface: `InterfaceBinding`
  This method is responsible for routing the Message via the MuleSession. The logic for this method will change for each type of router depending on expected behaviour. For example, a MulticastingRouter might just iterate through the list of assoaciated endpoints sending the message. Another type of router such as the ExceptionBasedRouter will hit the first endpoint, if it fails try the second, and so on. Most router implementations will extends the FilteringOutboundRouter which implements all the common logic need for a router.

  Specified by:
    `process` in interface `InterfaceBinding`
  Specified by:
    `process` in interface `MessageProcessor`
  Parameters:
    `event` - MuleEvent to be processed
  Returns:
    a result message if any from the invocation. If the synchronous flag is false a null result will always be returned.
  Throws:
    `MessagingException` - if any errors occur during the sending of messages
  See Also:
    `FilteringOutboundRouter`, `ExceptionBasedRouter`, `MulticastingRouter`

### setInterface

    public void setInterface(Class interfaceClass)

  Specified by:
    `setInterface` in interface `InterfaceBinding`

### getInterface

    public Class getInterface()

  Specified by:
    `getInterface` in interface `InterfaceBinding`

### createProxy

    public Object createProxy(Object target)

  Description copied from interface: `InterfaceBinding`
  This wires the dynamic proxy to the service object.

  Specified by:
    `createProxy` in interface `InterfaceBinding`

### setEndpoint

    public void setEndpoint(ImmutableEndpoint e)

  Specified by:
    `setEndpoint` in interface `InterfaceBinding`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getEndpoint

    public ImmutableEndpoint getEndpoint()

  Specified by:
    `getEndpoint` in interface `InterfaceBinding`

### createInvocationHandler

    protected InvocationHandler createInvocationHandler()
                                                 throws org.ibeans.api.IBeansException

  Throws:
    `org.ibeans.api.IBeansException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.